Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.contact
Class ContactFilter

    java.lang.Object
      |
      +--com.compoze.ebusiness.AbstractFilter
            |
            +--com.compoze.contact.ContactFilter

All Implemented Interfaces:
  java.io.Serializable

public class ContactFilter
extends AbstractFilter
implements java.io.Serializable

This class represents a contact filter. A contact filter is used to restrict the contacts that are returned as they are iterated over in a `Contacts` collection. By setting properties in this filter, the contacts that are returned include only those contacts with properties that are the same. The string filters are case-insensitive.

See the `Contacts` class for futher details and examples on how to filter contacts.

See Also:
  `Contacts.setFilter(ContactFilter)`, Serialized Form

Fields inherited from class com.compoze.ebusiness.AbstractFilter
`m_rules, m_where`

Constructor Summary
`ContactFilter()` Constructor.

Method Summary
`void` | `appendFilter(ContactFilter filter, boolean bOr)` Appends the filter to this filter.
`void` | `clearFilters()` Clears all filter that are appended to this filter.
`long[]` | `getDistributionList()` Gets the distribution list ids filtering by.
`com.compoze.ejb.persistence.database.IFilterRule` | `getFilterRule()`
`java.util.List` | `getFilters()` Gets a unmodifiable list of contact filters appended to this filter.
`static void` | `main(java.lang.String[] args)`
`void` | `removeFilter(ContactFilter filter)` Removes the filter from this filter.
`void` | `setAnniversary(java.util.Date startDate, java.util.Date endDate)` Sets filtering by a anniversary date range.
`void` | `setArchivedRange(java.util.Date fromDate, java.util.Date toDate)` Sets filtering by the archived range.
`void` | `setAssistantName(java.lang.String sAssistantName)` Sets filtering by assistant name.
`void` | `setAssistantName(java.lang.String[] assistantNames)` Sets filtering by assistant names.
`void` | `setAssistantName(java.lang.String[] assistantNames, boolean bExactMatch)` Sets filtering by assistant names.
`void` | `setAssistantName(java.lang.String sAssistantName, boolean bExactMatch)` Sets filtering by assistant name.
`void` | `setAssistantTelephoneNumber(java.lang.String sNumber)` Sets filtering by assistant telephone number.
`void` | `setAssistantTelephoneNumber(java.lang.String[] numbers)` Sets filtering by assistant telephone number.
`void` | `setAssistantTelephoneNumber(java.lang.String[] numbers, boolean bExactMatch)` Sets filtering by assistant telephone numbers.
`void` | `setAssistantTelephoneNumber(java.lang.String sNumber, boolean bExactMatch)` Sets filtering by assistant telephone number.
`void` | `setAuthor(java.lang.String sAuthor)` Sets filtering by author.
`void` | `setAuthor(java.lang.String[] authors)` Sets filtering by author.
`void` | `setAuthor(java.lang.String[] authors, boolean bExactMatch)` Sets filtering by authors.
`void` | `setAuthor(java.lang.String sAuthor, boolean bExactMatch)` Sets filtering by author.
`void` | `setBeginsFirstNameRule(java.lang.String sBeginsString)` Sets the begins first name rule.
`void` | `setBeginsLastNameRule(java.lang.String sBeginsString)` Sets the begins last name rule.
`void` | `setBirthday(java.util.Date startDate, java.util.Date endDate)` Sets filtering by a birthday date range.
`void` | `setBusinessAddressCity(java.lang.String sCity)` Sets filtering by business address city.
`void` | `setBusinessAddressCity(java.lang.String[] cities)` Sets filtering by business address city.
`void` | `setBusinessAddressCity(java.lang.String[] cities, boolean bExactMatch)` Sets filtering by business address city.
`void` | `setBusinessAddressCity(java.lang.String sCity, boolean bExactMatch)` Sets filtering by business address city.
`void` | `setBusinessAddressCountry(java.lang.String sCountry)` Sets filtering by business address country.
`void` | `setBusinessAddressCountry(java.lang.String[] countries)` Sets filtering by business address country.
`void` | `setBusinessAddressCountry(java.lang.String[] countries, boolean bExactMatch)` Sets filtering by business address country.
`void` | `setBusinessAddressCountry(java.lang.String sCountry, boolean bExactMatch)` Sets filtering by business address country.
`void` | `setBusinessAddressPostalCode(java.lang.String sPostalCode)` Sets filtering by business address postal code.
`void` | `setBusinessAddressPostalCode(java.lang.String[] codes)` Sets filtering by business address postal code.
`void` | `setBusinessAddressPostalCode(java.lang.String[] codes, boolean bExactMatch)` Sets filtering by business address postal code.
`void` | `setBusinessAddressPostalCode(java.lang.String sPostalCode, boolean bExactMatch)` Sets filtering by business address postal code.
`void` | `setBusinessAddressPostOfficeBox(java.lang.String sPostOfficeBox)` Sets filtering by business address post office box.
`void` | `setBusinessAddressPostOfficeBox(java.lang.String[] boxes)` Sets filtering by business address post office box.
`void` | `setBusinessAddressPostOfficeBox(java.lang.String[] boxes, boolean bExactMatch)` Sets filtering by business address post office box.
`void` | `setBusinessAddressPostOfficeBox(java.lang.String sPostOfficeBox, boolean bExactMatch)` Sets filtering by business address post office box.
`void` | `setBusinessAddressStateOrProvince(java.lang.String sStateOrProvince)` Sets filtering by business address state or province.
`void` | `setBusinessAddressStateOrProvince(java.lang.String[] states)` Sets filtering by business address state or province.
`void` | `setBusinessAddressStateOrProvince(java.lang.String[] states, boolean bExactMatch)` Sets filtering by business address state or province.
`void` | `setBusinessAddressStateOrProvince(java.lang.String sStateOrProvince, boolean bExactMatch)` Sets filtering by business address state or province.
`void` | `setBusinessAddressStreet(java.lang.String sStreet)` Sets filtering by business address street.
`void` | `setBusinessAddressStreet(java.lang.String[] streets)` Sets filtering by business address street.
`void` | `setBusinessAddressStreet(java.lang.String[] streets, boolean bExactMatch)` Sets filtering by business address street.
`void` | `setBusinessAddressStreet(java.lang.String sStreet, boolean bExactMatch)` Sets filtering by business address street.
`void` | `setBusinessFaxNumber(java.lang.String sNumber)` Sets filtering by business fax number.
`void` | `setBusinessFaxNumber(java.lang.String[] numbers)` Sets filtering by business fax number.
`void` | `setBusinessFaxNumber(java.lang.String[] numbers, boolean bExactMatch)` Sets filtering by business fax numbers.
`void` | `setBusinessFaxNumber(java.lang.String sNumber, boolean bExactMatch)` Sets filtering by business fax number.
`void` | `setBusinessTelephoneNumber(java.lang.String sNumber)` Sets filtering by business telephone number.
`void` | `setBusinessTelephoneNumber(java.lang.String[] numbers)` Sets filtering by business telephone number.
`void` | `setBusinessTelephoneNumber(java.lang.String[] numbers, boolean bExactMatch)` Sets filtering by business telephone numbers.
`void` | `setBusinessTelephoneNumber(java.lang.String sNumber, boolean bExactMatch)` Sets filtering by business telephone number.
`void` | `setCarTelephoneNumber(java.lang.String sNumber)` Sets filtering by car telephone number.
`void` | `setCarTelephoneNumber(java.lang.String[] numbers)` Sets filtering by car telephone number.
`void` | `setCarTelephoneNumber(java.lang.String[] numbers, boolean bExactMatch)` Sets filtering by car telephone numbers.
`void` | `setCarTelephoneNumber(java.lang.String sNumber, boolean bExactMatch)` Sets filtering by car telephone number.
`void` | `setCompanyName(java.lang.String sCompanyName)` Sets filtering by company name.
`void` | `setCompanyName(java.lang.String[] companyNames)` Sets filtering by company names.
`void` | `setCompanyName(java.lang.String[] companyNames, boolean bExactMatch)` Sets filtering by company names.
`void` | `setCompanyName(java.lang.String sCompanyName, boolean bExactMatch)` Sets filtering by company name.
`void` | `setCustomNum1(long lCustomNum1)` Sets filtering by the custom num1 field.
`void` | `setCustomNum1(long[] customNum1s)` Sets filtering by the custom num1 field.
`void` | `setCustomNum1(long lCustomNum1, boolean bGreaterThan)` Sets filtering by the custom num1 field.
`void` | `setCustomNum1(long lFromCount, long lToCount)` Sets filtering by custom num1 between the specified range.
`void` | `setCustomNum2(long lCustomNum2)` Sets filtering by the custom num2 field.
`void` | `setCustomNum2(long[] customNum2s)` Sets filtering by the custom num2 field.
`void` | `setCustomNum2(long lCustomNum2, boolean bGreaterThan)` Sets filtering by the custom num2 field.
`void` | `setCustomNum2(long lFromCount, long lToCount)` Sets filtering by custom num2 between the specified range.
`void` | `setCustomNum3(long lCustomNum3)` Sets filtering by the custom num3 field.
`void` | `setCustomNum3(long[] customNum3s)` Sets filtering by the custom num3 field.
`void` | `setCustomNum3(long lCustomNum3, boolean bGreaterThan)` Sets filtering by the custom num3 field.
`void` | `setCustomNum3(long lFromCount, long lToCount)` Sets filtering by custom num3 between the specified range.
`void` | `setCustomStr1(java.lang.String sCustomStr1)` Sets filtering by custom str1.
`void` | `setCustomStr1(java.lang.String[] customString1s)` Sets filtering by custom str1.
`void` | `setCustomStr1(java.lang.String[] customString1s, boolean bExactMatch)` Sets filtering by custom str1.
`void` | `setCustomStr1(java.lang.String sCustomStr1, boolean bExactMatch)` Sets filtering by custom str1.
`void` | `setCustomStr2(java.lang.String sCustomStr2)` Sets filtering by custom str2.
`void` | `setCustomStr2(java.lang.String[] customString2s)` Sets filtering by custom str2.
`void` | `setCustomStr2(java.lang.String[] customString2s, boolean bExactMatch)` Sets filtering by custom str2.
`void` | `setCustomStr2(java.lang.String sCustomStr2, boolean bExactMatch)` Sets filtering by custom str2.
`void` | `setCustomStr3(java.lang.String sCustomStr3)` Sets filtering by custom str3.
`void` | `setCustomStr3(java.lang.String[] customString3s)` Sets filtering by custom str3.
`void` | `setCustomStr3(java.lang.String[] customString3s, boolean bExactMatch)` Sets filtering by custom str3.
`void` | `setCustomStr3(java.lang.String sCustomStr3, boolean bExactMatch)` Sets filtering by custom str3.
`void` | `setCustomStr4(java.lang.String sCustomStr4)` Sets filtering by custom str4.
`void` | `setCustomStr4(java.lang.String[] customString4s)` Sets filtering by custom str4.
`void` | `setCustomStr4(java.lang.String[] customString4s, boolean bExactMatch)` Sets filtering by custom str4.
`void` | `setCustomStr4(java.lang.String sCustomStr4, boolean bExactMatch)` Sets filtering by custom str4.
`void` | `setDateCreated(java.util.Date startDate, java.util.Date endDate)` Sets filtering by a date created range.
`void` | `setDateLastModified(java.util.Date startDate, java.util.Date endDate)` Sets filtering by a last modified date range.
`void` | `setDepartmentName(java.lang.String sDepartmentName)` Sets filtering by department name.
`void` | `setDepartmentName(java.lang.String[] departmentNames)` Sets filtering by department names.
`void` | `setDepartmentName(java.lang.String[] departmentNames, boolean bExactMatch)` Sets filtering by department names.
`void` | `setDepartmentName(java.lang.String sDepartmentName, boolean bExactMatch)` Sets filtering by department name.
`void` | `setDistributionList(long lListID)` Sets the filtering by distribution list.
`void` | `setDistributionList(long[] listIDs)` Sets the filtering by multiple distribution lists.
`void` | `setEmail2Address(java.lang.String sEmailAddress)` Sets filtering by email2 address.
`void` | `setEmail2Address(java.lang.String[] emailAddresses)` Sets filtering by email2 address.
`void` | `setEmail2Address(java.lang.String[] emailAddresses, boolean bExactMatch)` Sets filtering by email2 addresses.
`void` | `setEmail2Address(java.lang.String sEmailAddress, boolean bExactMatch)` Sets filtering by email2 address.
`void` | `setEmail3Address(java.lang.String sEmailAddress)` Sets filtering by email3 address.
`void` | `setEmail3Address(java.lang.String[] emailAddresses)` Sets filtering by email3 address.
`void` | `setEmail3Address(java.lang.String[] emailAddresses, boolean bExactMatch)` Sets filtering by email3 addresses.
`void` | `setEmail3Address(java.lang.String sEmailAddress, boolean bExactMatch)` Sets filtering by email3 address.
`void` | `setEmailAddress(java.lang.String sEmailAddress)` Sets filtering by email address.
`void` | `setEmailAddress(java.lang.String[] emailAddresses)` Sets filtering by email address.
`void` | `setEmailAddress(java.lang.String[] emailAddresses, boolean bExactMatch)` Sets filtering by email addresses.
`void` | `setEmailAddress(java.lang.String sEmailAddress, boolean bExactMatch)` Sets filtering by email address.
`void` | `setFirstName(java.lang.String sFirstName)` Sets filtering by first name.
`void` | `setFirstName(java.lang.String[] firstNames)` Sets filtering by first name.
`void` | `setFirstName(java.lang.String[] firstNames, boolean bExactMatch)` Sets filtering by first name.
`void` | `setFirstName(java.lang.String sFirstName, boolean bExactMatch)` Sets filtering by first name.
`void` | `setFlag(Flag flag)` Sets filtering by flag.
`void` | `setFlag(Flag[] flags)` Sets filtering by flags.
`void` | `setFtpSite(java.lang.String sFtpSite)` Sets filtering by ftp site.
`void` | `setFtpSite(java.lang.String[] ftpSites)` Sets filtering by ftp site.
`void` | `setFtpSite(java.lang.String[] ftpSites, boolean bExactMatch)` Sets filtering by ftp sites.
`void` | `setFtpSite(java.lang.String sFtpSite, boolean bExactMatch)` Sets filtering by ftp site.
`void` | `setHomeAddressCity(java.lang.String sCity)` Sets filtering by home address city.
`void` | `setHomeAddressCity(java.lang.String[] cities)` Sets filtering by home address city.
`void` | `setHomeAddressCity(java.lang.String[] cities, boolean bExactMatch)` Sets filtering by home address city.
`void` | `setHomeAddressCity(java.lang.String sCity, boolean bExactMatch)` Sets filtering by home address city.
`void` | `setHomeAddressCountry(java.lang.String sCountry)` Sets filtering by home address country.
`void` | `setHomeAddressCountry(java.lang.String[] countries)` Sets filtering by home address country.
`void` | `setHomeAddressCountry(java.lang.String[] countries, boolean bExactMatch)` Sets filtering by home address country.
`void` | `setHomeAddressCountry(java.lang.String sCountry, boolean bExactMatch)` Sets filtering by home address country.
`void` | `setHomeAddressPostalCode(java.lang.String sPostalCode)` Sets filtering by home address postal code.
`void` | `setHomeAddressPostalCode(java.lang.String[] codes)` Sets filtering by home address postal code.
`void` | `setHomeAddressPostalCode(java.lang.String[] codes, boolean bExactMatch)` Sets filtering by home address postal code.
`void` | `setHomeAddressPostalCode(java.lang.String sPostalCode, boolean bExactMatch)` Sets filtering by home address postal code.
`void` | `setHomeAddressPostOfficeBox(java.lang.String sPostOfficeBox)` Sets filtering by home address post office box.
`void` | `setHomeAddressPostOfficeBox(java.lang.String[] boxes)` Sets filtering by home address post office box.
`void` | `setHomeAddressPostOfficeBox(java.lang.String[] boxes, boolean bExactMatch)` Sets filtering by home address post office box.
`void` | `setHomeAddressPostOfficeBox(java.lang.String sPostOfficeBox, boolean bExactMatch)` Sets filtering by home address post office box.
`void` | `setHomeAddressStateOrProvince(java.lang.String sStateOrProvince)` Sets filtering by home address state or province.
`void` | `setHomeAddressStateOrProvince(java.lang.String[] states)` Sets filtering by home address state or province.
`void` | `setHomeAddressStateOrProvince(java.lang.String[] states, boolean bExactMatch)` Sets filtering by home address state or province.
`void` | `setHomeAddressStateOrProvince(java.lang.String sStateOrProvince, boolean bExactMatch)` Sets filtering by home address state or province.
`void` | `setHomeAddressStreet(java.lang.String sStreet)` Sets filtering by home address street.
`void` | `setHomeAddressStreet(java.lang.String[] streets)` Sets filtering by home address street.
`void` | `setHomeAddressStreet(java.lang.String[] streets, boolean bExactMatch)` Sets filtering by home address street.
`void` | `setHomeAddressStreet(java.lang.String sStreet, boolean bExactMatch)` Sets filtering by home address street.
`void` | `setHomeFaxNumber(java.lang.String sNumber)` Sets filtering by home fax number.
`void` | `setHomeFaxNumber(java.lang.String[] numbers)` Sets filtering by home fax number.
`void` | `setHomeFaxNumber(java.lang.String[] numbers, boolean bExactMatch)` Sets filtering by home fax numbers.
`void` | `setHomeFaxNumber(java.lang.String sNumber, boolean bExactMatch)` Sets filtering by home fax number.
`void` | `setHomeTelephoneNumber(java.lang.String sNumber)` Sets filtering by home telephone number.
`void` | `setHomeTelephoneNumber(java.lang.String[] numbers)` Sets filtering by home telephone number.
`void` | `setHomeTelephoneNumber(java.lang.String[] numbers, boolean bExactMatch)` Sets filtering by home telephone numbers.
`void` | `setHomeTelephoneNumber(java.lang.String sNumber, boolean bExactMatch)` Sets filtering by home telephone number.
`void` | `setLastName(java.lang.String sLastName)` Sets filtering by last name.
`void` | `setLastName(java.lang.String[] lastNames)` Sets filtering by last name.
`void` | `setLastName(java.lang.String[] lastNames, boolean bExactMatch)` Sets filtering by last name.
`void` | `setLastName(java.lang.String sLastName, boolean bExactMatch)` Sets filtering by last name.
`void` | `setManagerName(java.lang.String sManagerName)` Sets filtering by manager name.
`void` | `setManagerName(java.lang.String[] managerNames)` Sets filtering by manager names.
`void` | `setManagerName(java.lang.String[] managerNames, boolean bExactMatch)` Sets filtering by manager names.
`void` | `setManagerName(java.lang.String sManagerName, boolean bExactMatch)` Sets filtering by manager name.
`void` | `setMiddleName(java.lang.String sMiddleName)` Sets filtering by middle name.
`void` | `setMiddleName(java.lang.String[] middleNames)` Sets filtering by middle name.
`void` | `setMiddleName(java.lang.String[] middleNames, boolean bExactMatch)` Sets filtering by middle name.
`void` | `setMiddleName(java.lang.String sMiddleName, boolean bExactMatch)` Sets filtering by middle name.
`void` | `setMobileTelephoneNumber(java.lang.String sNumber)` Sets filtering by mobile telephone number.
`void` | `setMobileTelephoneNumber(java.lang.String[] numbers)` Sets filtering by mobile telephone number.
`void` | `setMobileTelephoneNumber(java.lang.String[] numbers, boolean bExactMatch)` Sets filtering by mobile telephone numbers.
`void` | `setMobileTelephoneNumber(java.lang.String sNumber, boolean bExactMatch)` Sets filtering by mobile telephone number.
`void` | `setNickname(java.lang.String sNickname)` Sets filtering by nickname.
`void` | `setNickname(java.lang.String[] nickNames)` Sets filtering by nickname.
`void` | `setNickname(java.lang.String[] nickNames, boolean bExactMatch)` Sets filtering by nickname.
`void` | `setNickname(java.lang.String sNickname, boolean bExactMatch)` Sets filtering by nickname.
`void` | `setOfficeLocation(java.lang.String sOfficeLocation)` Sets filtering by office location.
`void` | `setOfficeLocation(java.lang.String[] officeLocations)` Sets filtering by office locations.
`void` | `setOfficeLocation(java.lang.String[] officeLocations, boolean bExactMatch)` Sets filtering by office locations.
`void` | `setOfficeLocation(java.lang.String sOfficeLocation, boolean bExactMatch)` Sets filtering by office location.
`void` | `setOtherAddressCity(java.lang.String sCity)` Sets filtering by other address city.
`void` | `setOtherAddressCity(java.lang.String[] cities)` Sets filtering by other address city.
`void` | `setOtherAddressCity(java.lang.String[] cities, boolean bExactMatch)` Sets filtering by other address city.
`void` | `setOtherAddressCity(java.lang.String sCity, boolean bExactMatch)` Sets filtering by other address city.
`void` | `setOtherAddressCountry(java.lang.String sCountry)` Sets filtering by other address country.
`void` | `setOtherAddressCountry(java.lang.String[] countries)` Sets filtering by other address country.
`void` | `setOtherAddressCountry(java.lang.String[] countries, boolean bExactMatch)` Sets filtering by other address country.
`void` | `setOtherAddressCountry(java.lang.String sCountry, boolean bExactMatch)` Sets filtering by other address country.
`void` | `setOtherAddressPostalCode(java.lang.String sPostalCode)` Sets filtering by other address postal code.
`void` | `setOtherAddressPostalCode(java.lang.String[] codes)` Sets filtering by other address postal code.
`void` | `setOtherAddressPostalCode(java.lang.String[] codes, boolean bExactMatch)` Sets filtering by other address postal code.
`void` | `setOtherAddressPostalCode(java.lang.String sPostalCode, boolean bExactMatch)` Sets filtering by other address postal code.
`void` | `setOtherAddressPostOfficeBox(java.lang.String sPostOfficeBox)` Sets filtering by other address post office box.
`void` | `setOtherAddressPostOfficeBox(java.lang.String[] boxes)` Sets filtering by other address post office box.
`void` | `setOtherAddressPostOfficeBox(java.lang.String[] boxes, boolean bExactMatch)` Sets filtering by other address post office box.
`void` | `setOtherAddressPostOfficeBox(java.lang.String sPostOfficeBox, boolean bExactMatch)` Sets filtering by other address post office box.
`void` | `setOtherAddressStateOrProvince(java.lang.String sStateOrProvince)` Sets filtering by other address state or province.
`void` | `setOtherAddressStateOrProvince(java.lang.String[] states)` Sets filtering by other address state or province.
`void` | `setOtherAddressStateOrProvince(java.lang.String[] states, boolean bExactMatch)` Sets filtering by other address state or province.
`void` | `setOtherAddressStateOrProvince(java.lang.String sStateOrProvince, boolean bExactMatch)` Sets filtering by other address state or province.
`void` | `setOtherAddressStreet(java.lang.String sStreet)` Sets filtering by other address street.
`void` | `setOtherAddressStreet(java.lang.String[] streets)` Sets filtering by other address street.
`void` | `setOtherAddressStreet(java.lang.String[] streets, boolean bExactMatch)` Sets filtering by other address street.
`void` | `setOtherAddressStreet(java.lang.String sStreet, boolean bExactMatch)` Sets filtering by other address street.
`void` | `setOtherTelephoneNumber(java.lang.String sNumber)` Sets filtering by other telephone number.
`void` | `setOtherTelephoneNumber(java.lang.String[] numbers)` Sets filtering by other telephone number.
`void` | `setOtherTelephoneNumber(java.lang.String[] numbers, boolean bExactMatch)` Sets filtering by other telephone numbers.
`void` | `setOtherTelephoneNumber(java.lang.String sNumber, boolean bExactMatch)` Sets filtering by other telephone number.
`void` | `setPagerTelephoneNumber(java.lang.String sNumber)` Sets filtering by pager telephone number.
`void` | `setPagerTelephoneNumber(java.lang.String[] numbers)` Sets filtering by pager telephone number.
`void` | `setPagerTelephoneNumber(java.lang.String[] numbers, boolean bExactMatch)` Sets filtering by pager telephone numbers.
`void` | `setPagerTelephoneNumber(java.lang.String sNumber, boolean bExactMatch)` Sets filtering by pager telephone number.
`void` | `setSpouseName(java.lang.String sSpouseName)` Sets filtering by spouse name.
`void` | `setSpouseName(java.lang.String[] spouseNames)` Sets filtering by spouse name.
`void` | `setSpouseName(java.lang.String[] spouseNames, boolean bExactMatch)` Sets filtering by spouse names.
`void` | `setSpouseName(java.lang.String sSpouseName, boolean bExactMatch)` Sets filtering by spouse name.
`void` | `setStringRules(java.lang.String[] values, boolean bExact)` Sets the rules for contact properties that are strings.
`void` | `setTitle(java.lang.String sTitle)` Sets filtering by title.
`void` | `setTitle(java.lang.String[] titles)` Sets filtering by title.
`void` | `setTitle(java.lang.String[] titles, boolean bExactMatch)` Sets filtering by titles.
`void` | `setTitle(java.lang.String sTitle, boolean bExactMatch)` Sets filtering by title.
`void` | `setWebPage(java.lang.String sWebPage)` Sets filtering by web page.
`void` | `setWebPage(java.lang.String[] webPages)` Sets filtering by web page.
`void` | `setWebPage(java.lang.String[] webPages, boolean bExactMatch)` Sets filtering by web pages.
`void` | `setWebPage(java.lang.String sWebPage, boolean bExactMatch)` Sets filtering by web page.
`void` | `unsetAnniversary()` Unsets filtering by anniversary.
`void` | `unsetArchivedRange()` Unsets filtering by the archived range.
`void` | `unsetAssistantName()` Unsets filterting by assistant name.
`void` | `unsetAssistantTelephoneNumber()` Unsets filterting by assistant telephone number.
`void` | `unsetAuthor()` Unsets filterting by author.
`void` | `unsetBeginsFirstNameRule()` Unsets the begins first name rule.
`void` | `unsetBeginsLastNameRule()` Unsets the begins last name rule.
`void` | `unsetBirthday()` Unsets filtering by birthday.
`void` | `unsetBusinessAddressCity()` Unsets filterting by business address city.
`void` | `unsetBusinessAddressCountry()` Unsets filterting by business address country.
`void` | `unsetBusinessAddressPostalCode()` Unsets filterting by business address postal code.
`void` | `unsetBusinessAddressPostOfficeBox()` Unsets filterting by business address post office box.
`void` | `unsetBusinessAddressStateOrProvince()` Unsets filterting by business address state or province.
`void` | `unsetBusinessAddressStreet()` Unsets filterting by business address street.
`void` | `unsetBusinessFaxNumber()` Unsets filterting by business fax number.
`void` | `unsetBusinessTelephoneNumber()` Unsets filterting by business telephone number.
`void` | `unsetCarTelephoneNumber()` Unsets filterting by car telephone number.
`void` | `unsetCompanyName()` Unsets filterting by company name.
`void` | `unsetCustomNum1()` Unsets filtering by custom num1.
`void` | `unsetCustomNum2()` Unsets filtering by custom num2.
`void` | `unsetCustomNum3()` Unsets filtering by custom num3.
`void` | `unsetCustomStr1()` Unsets filterting by custom str1.
`void` | `unsetCustomStr2()` Unsets filterting by custom str2.
`void` | `unsetCustomStr3()` Unsets filterting by custom str3.
`void` | `unsetCustomStr4()` Unsets filtering by custom str4.
`void` | `unsetDateCreated()` Unsets filtering by date created.
`void` | `unsetDateLastModified()` Unsets filtering by last modified date range.
`void` | `unsetDepartmentName()` Unsets filterting by department name.
`void` | `unsetDistributionList()` Unsets filtering by distribution list.
`void` | `unsetEmail2Address()` Unsets filterting by email2 address.
`void` | `unsetEmail3Address()` Unsets filterting by email3 address.
`void` | `unsetEmailAddress()` Unsets filterting by email address.
`void` | `unsetFirstName()` Unsets filterting by first name.
`void` | `unsetFlag()` Unsets filterting by contact flag.
`void` | `unsetFtpSite()` Unsets filterting by ftp site.
`void` | `unsetHomeAddressCity()` Unsets filterting by home address city.
`void` | `unsetHomeAddressCountry()` Unsets filterting by home address country.
`void` | `unsetHomeAddressPostalCode()` Unsets filterting by home address postal code.
`void` | `unsetHomeAddressPostOfficeBox()` Unsets filterting by home address post office box.
`void` | `unsetHomeAddressStateOrProvince()` Unsets filterting by home address state or province.
`void` | `unsetHomeAddressStreet()` Unsets filterting by home address street.
`void` | `unsetHomeFaxNumber()` Unsets filterting by home fax number.
`void` | `unsetHomeTelephoneNumber()` Unsets filterting by home telephone number.
`void` | `unsetLastName()` Unsets filterting by last name.
`void` | `unsetManagerName()` Unsets filterting by manager name.
`void` | `unsetMiddleName()` Unsets filterting by middle name.
`void` | `unsetMobileTelephoneNumber()` Unsets filterting by mobile telephone number.
`void` | `unsetNickname()` Unsets filterting by nickname.
`void` | `unsetOfficeLocation()` Unsets filterting by office location.
`void` | `unsetOtherAddressCity()` Unsets filterting by other address city.
`void` | `unsetOtherAddressCountry()` Unsets filterting by other address country.
`void` | `unsetOtherAddressPostalCode()` Unsets filterting by other address postal code.
`void` | `unsetOtherAddressPostOfficeBox()` Unsets filterting by other address post office box.
`void` | `unsetOtherAddressStateOrProvince()` Unsets filterting by other address state or province.
`void` | `unsetOtherAddressStreet()` Unsets filterting by other address street.
`void` | `unsetOtherTelephoneNumber()` Unsets filterting by other telephone number.
`void` | `unsetPagerTelephoneNumber()` Unsets filterting by pager telephone number.
`void` | `unsetSpouseName()` Unsets filterting by spouse name.
`void` | `unsetTitle()` Unsets filterting by title.
`void` | `unsetWebPage()` Unsets filterting by web page.

Methods inherited from class com.compoze.ebusiness.AbstractFilter
`clearWhereClause, getBaseRule, getOr, getWhereClause, isEmpty, setBeginsRule, setGreaterThanRule, setLessThanRule, setNotRule, setOr, setRule, setRule, setRule, setRule, setRule, setRule, setRule, setRule, setRule, setRule, setWhereClause, toRule, toString, unsetBeginsRule, unsetNotRule`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContactFilter

    public ContactFilter()

  Constructor.

Method Detail

### appendFilter

    public void appendFilter(ContactFilter filter,
                             boolean bOr)

  Appends the filter to this filter.
  Parameters:
    `filter` - the filter the append
    `bOr` - `true` to append this filter with an 'or'; `false` to use 'and'

### removeFilter

    public void removeFilter(ContactFilter filter)

  Removes the filter from this filter.
  Parameters:
    `filter` - the filter to remove

### clearFilters

    public void clearFilters()

  Clears all filter that are appended to this filter.

### getFilters

    public java.util.List getFilters()

  Gets a unmodifiable list of contact filters appended to this filter.
  Returns:
    an unmodifiable list of `ContactFilter` objects

### setFirstName

    public void setFirstName(java.lang.String sFirstName)

  Sets filtering by first name. Checks the first name match as a substring of the first name.
  Parameters:
    `sFirstName` - the first name
  See Also:
    `setFirstName(String, boolean)`

### setFirstName

    public void setFirstName(java.lang.String sFirstName,
                             boolean bExactMatch)

  Sets filtering by first name.
  Parameters:
    `sFirstName` - the first name
    `bExactMatch` - `true` for an exact match of the string first name; `false` to match as substring first name

### setFirstName

    public void setFirstName(java.lang.String[] firstNames)

  Sets filtering by first name. Checks the first name match as a substring of the first name.
  Parameters:
    `firstNames` - the first names
  See Also:
    `setFirstName(String[], boolean)`

### setFirstName

    public void setFirstName(java.lang.String[] firstNames,
                             boolean bExactMatch)

  Sets filtering by first name.
  Parameters:
    `firstNames` - the first names
    `exact` - `true` for an exact match of the first names; `false` to match a substring

### unsetFirstName

    public void unsetFirstName()

  Unsets filterting by first name.

### setLastName

    public void setLastName(java.lang.String sLastName)

  Sets filtering by last name. Checks the last name match as a substring of the last name.
  Parameters:
    `sLastName` - the last name
  See Also:
    `setLastName(String, boolean)`

### setLastName

    public void setLastName(java.lang.String sLastName,
                            boolean bExactMatch)

  Sets filtering by last name.
  Parameters:
    `sLastName` - the last name
    `bExactMatch` - `true` for an exact match of the string last name; `false` to match as substring last name

### setLastName

    public void setLastName(java.lang.String[] lastNames)

  Sets filtering by last name. Checks the last name match as a substring of the last name.
  Parameters:
    `lastNames` - the last names
  See Also:
    `setLastName(String[], boolean)`

### setLastName

    public void setLastName(java.lang.String[] lastNames,
                            boolean bExactMatch)

  Sets filtering by last name.
  Parameters:
    `lastNames` - the last names
    `exact` - `true` for an exact match of the last names; `false` to match a substring

### unsetLastName

    public void unsetLastName()

  Unsets filterting by last name.

### setMiddleName

    public void setMiddleName(java.lang.String sMiddleName)

  Sets filtering by middle name. Checks the middle name match as a substring of the middle name.
  Parameters:
    `sMiddleName` - the middle name
  See Also:
    `setMiddleName(String, boolean)`

### setMiddleName

    public void setMiddleName(java.lang.String sMiddleName,
                              boolean bExactMatch)

  Sets filtering by middle name.
  Parameters:
    `sMiddleName` - the middle name
    `bExactMatch` - `true` for an exact match of the string middle name; `false` to match as substring middle name

### setMiddleName

    public void setMiddleName(java.lang.String[] middleNames)

  Sets filtering by middle name. Checks the middle name match as a substring of the middle name.
  Parameters:
    `middleNames` - the middle names
  See Also:
    `setMiddleName(String[], boolean)`

### setMiddleName

    public void setMiddleName(java.lang.String[] middleNames,
                              boolean bExactMatch)

  Sets filtering by middle name.
  Parameters:
    `middleNames` - the middle names
    `exact` - `true` for an exact match of the middle names; `false` to match a substring

### unsetMiddleName

    public void unsetMiddleName()

  Unsets filterting by middle name.

### setNickname

    public void setNickname(java.lang.String sNickname)

  Sets filtering by nickname. Checks the nickname match as a substring of the nickname.
  Parameters:
    `sNickname` - the nickname
  See Also:
    `setNickname(String, boolean)`

### setNickname

    public void setNickname(java.lang.String sNickname,
                            boolean bExactMatch)

  Sets filtering by nickname.
  Parameters:
    `sNickname` - the nickname
    `bExactMatch` - `true` for an exact match of the string nickname; `false` to match as substring nickname

### setNickname

    public void setNickname(java.lang.String[] nickNames)

  Sets filtering by nickname. Checks the nickname match as a substring of the nickname.
  Parameters:
    `nickNames` - the nicknames
  See Also:
    `setNickname(String[], boolean)`

### setNickname

    public void setNickname(java.lang.String[] nickNames,
                            boolean bExactMatch)

  Sets filtering by nickname.
  Parameters:
    `nickNames` - the nicknames
    `exact` - `true` for an exact match of the nicknames; `false` to match a substring

### unsetNickname

    public void unsetNickname()

  Unsets filterting by nickname.

### setAuthor

    public void setAuthor(java.lang.String sAuthor)

  Sets filtering by author. Checks the author match as a substring of the author.
  Parameters:
    `sAuthor` - the author
  See Also:
    `setAuthor(String, boolean)`

### setAuthor

    public void setAuthor(java.lang.String sAuthor,
                          boolean bExactMatch)

  Sets filtering by author.
  Parameters:
    `sAuthor` - the author
    `bExactMatch` - `true` for an exact match of the string author; `false` to match as substring author

### setAuthor

    public void setAuthor(java.lang.String[] authors)

  Sets filtering by author. Checks the author match as a substring of the author.
  Parameters:
    `authors` - the authors
  See Also:
    `setAuthor(String[], boolean)`

### setAuthor

    public void setAuthor(java.lang.String[] authors,
                          boolean bExactMatch)

  Sets filtering by authors.
  Parameters:
    `authors` - the authors
    `bExactMatch` - `true` for an exact match of the authors; `false` to match a substring

### unsetAuthor

    public void unsetAuthor()

  Unsets filterting by author.

### setCompanyName

    public void setCompanyName(java.lang.String sCompanyName)

  Sets filtering by company name. Checks the company name match as a substring of the company name.
  Parameters:
    `sCompanyName` - the company name
  See Also:
    `setCompanyName(String, boolean)`

### setCompanyName

    public void setCompanyName(java.lang.String sCompanyName,
                               boolean bExactMatch)

  Sets filtering by company name.
  Parameters:
    `sCompanyName` - the company name
    `bExactMatch` - `true` for an exact match of the string company name; `false` to match as substring company name

### setCompanyName

    public void setCompanyName(java.lang.String[] companyNames)

  Sets filtering by company names. Checks the company name match as a substring of the company name.
  Parameters:
    `companyNames` - the company names
  See Also:
    `setCompanyName(String[], boolean)`

### setCompanyName

    public void setCompanyName(java.lang.String[] companyNames,
                               boolean bExactMatch)

  Sets filtering by company names.
  Parameters:
    `companyNames` - the company names
    `bExactMatch` - `true` for an exact match of the company names; `false` to match a substring

### unsetCompanyName

    public void unsetCompanyName()

  Unsets filterting by company name.

### setDepartmentName

    public void setDepartmentName(java.lang.String sDepartmentName)

  Sets filtering by department name. Checks the department name match as a substring of the department name.
  Parameters:
    `sDepartmentName` - the department name
  See Also:
    `setDepartmentName(String, boolean)`

### setDepartmentName

    public void setDepartmentName(java.lang.String sDepartmentName,
                                  boolean bExactMatch)

  Sets filtering by department name.
  Parameters:
    `sDepartmentName` - the department name
    `bExactMatch` - `true` for an exact match of the string department name; `false` to match as substring department name

### setDepartmentName

    public void setDepartmentName(java.lang.String[] departmentNames)

  Sets filtering by department names. Checks the department name match as a substring of the department name.
  Parameters:
    `departmentNames` - the department names
  See Also:
    `setDepartmentName(String[], boolean)`

### setDepartmentName

    public void setDepartmentName(java.lang.String[] departmentNames,
                                  boolean bExactMatch)

  Sets filtering by department names.
  Parameters:
    `departmentNames` - the department names
    `bExactMatch` - `true` for an exact match of the department names; `false` to match a substring

### unsetDepartmentName

    public void unsetDepartmentName()

  Unsets filterting by department name.

### setManagerName

    public void setManagerName(java.lang.String sManagerName)

  Sets filtering by manager name. Checks the manager name match as a substring of the manager name.
  Parameters:
    `sManagerName` - the manager name
  See Also:
    `setManagerName(String, boolean)`

### setManagerName

    public void setManagerName(java.lang.String sManagerName,
                               boolean bExactMatch)

  Sets filtering by manager name.
  Parameters:
    `sManagerName` - the manager name
    `bExactMatch` - `true` for an exact match of the string manager name; `false` to match as substring manager name

### setManagerName

    public void setManagerName(java.lang.String[] managerNames)

  Sets filtering by manager names. Checks the manager name match as a substring of the manager name.
  Parameters:
    `managerNames` - the manager names
  See Also:
    `setManagerName(String[], boolean)`

### setManagerName

    public void setManagerName(java.lang.String[] managerNames,
                               boolean bExactMatch)

  Sets filtering by manager names.
  Parameters:
    `managerNames` - the manager names
    `bExactMatch` - `true` for an exact match of the manager names; `false` to match a substring

### unsetManagerName

    public void unsetManagerName()

  Unsets filterting by manager name.

### setAssistantName

    public void setAssistantName(java.lang.String sAssistantName)

  Sets filtering by assistant name. Checks the assistant name match as a substring of the assistant name.
  Parameters:
    `sAssistantName` - the assistant name
  See Also:
    `setAssistantName(String, boolean)`

### setAssistantName

    public void setAssistantName(java.lang.String sAssistantName,
                                 boolean bExactMatch)

  Sets filtering by assistant name.
  Parameters:
    `sAssistantName` - the assistant name
    `bExactMatch` - `true` for an exact match of the string assistant name; `false` to match as substring assistant name

### setAssistantName

    public void setAssistantName(java.lang.String[] assistantNames)

  Sets filtering by assistant names. Checks the assistant name match as a substring of the assistant name.
  Parameters:
    `assistantNames` - the assistant names
  See Also:
    `setAssistantName(String[], boolean)`

### setAssistantName

    public void setAssistantName(java.lang.String[] assistantNames,
                                 boolean bExactMatch)

  Sets filtering by assistant names.
  Parameters:
    `assistantNames` - the assistant names
    `bExactMatch` - `true` for an exact match of the assistant names; `false` to match a substring

### unsetAssistantName

    public void unsetAssistantName()

  Unsets filterting by assistant name.

### setOfficeLocation

    public void setOfficeLocation(java.lang.String sOfficeLocation)

  Sets filtering by office location. Checks the office location match as a substring of the office location.
  Parameters:
    `sOfficeLocation` - the office location
  See Also:
    `setOfficeLocation(String, boolean)`

### setOfficeLocation

    public void setOfficeLocation(java.lang.String sOfficeLocation,
                                  boolean bExactMatch)

  Sets filtering by office location.
  Parameters:
    `sOfficeLocation` - the office location
    `bExactMatch` - `true` for an exact match of the string office location; `false` to match as substring office location

### setOfficeLocation

    public void setOfficeLocation(java.lang.String[] officeLocations)

  Sets filtering by office locations. Checks the office location match as a substring of the office location.
  Parameters:
    `officeLocations` - the office locations
  See Also:
    `setOfficeLocation(String[], boolean)`

### setOfficeLocation

    public void setOfficeLocation(java.lang.String[] officeLocations,
                                  boolean bExactMatch)

  Sets filtering by office locations.
  Parameters:
    `officeLocations` - the office locations
    `bExactMatch` - `true` for an exact match of the office locations; `false` to match a substring

### unsetOfficeLocation

    public void unsetOfficeLocation()

  Unsets filterting by office location.

### setTitle

    public void setTitle(java.lang.String sTitle)

  Sets filtering by title. Checks the title match as a substring of the title.
  Parameters:
    `sTitle` - the title
  See Also:
    `setTitle(String, boolean)`

### setTitle

    public void setTitle(java.lang.String sTitle,
                         boolean bExactMatch)

  Sets filtering by title.
  Parameters:
    `sTitle` - the title
    `bExactMatch` - `true` for an exact match of the string title; `false` to match as substring title

### setTitle

    public void setTitle(java.lang.String[] titles)

  Sets filtering by title. Checks the title match as a substring of the title.
  Parameters:
    `titles` - the titles
  See Also:
    `setTitle(String[], boolean)`

### setTitle

    public void setTitle(java.lang.String[] titles,
                         boolean bExactMatch)

  Sets filtering by titles.
  Parameters:
    `titles` - the titles
    `bExactMatch` - `true` for an exact match of the titles; `false` to match a substring

### unsetTitle

    public void unsetTitle()

  Unsets filterting by title.

### setSpouseName

    public void setSpouseName(java.lang.String sSpouseName)

  Sets filtering by spouse name. Checks the spouse name match as a substring of the spouse name.
  Parameters:
    `sSpouseName` - the spouse name
  See Also:
    `setSpouseName(String, boolean)`

### setSpouseName

    public void setSpouseName(java.lang.String sSpouseName,
                              boolean bExactMatch)

  Sets filtering by spouse name.
  Parameters:
    `sSpouseName` - the spouse name
    `bExactMatch` - `true` for an exact match of the string spouse name; `false` to match as substring spouse name

### setSpouseName

    public void setSpouseName(java.lang.String[] spouseNames)

  Sets filtering by spouse name. Checks the spouse name match as a substring of the spouse name.
  Parameters:
    `spouseNames` - the spouse names
  See Also:
    `setSpouseName(String[], boolean)`

### setSpouseName

    public void setSpouseName(java.lang.String[] spouseNames,
                              boolean bExactMatch)

  Sets filtering by spouse names.
  Parameters:
    `spouseNames` - the spouse names
    `bExactMatch` - `true` for an exact match of the spouse names; `false` to match a substring

### unsetSpouseName

    public void unsetSpouseName()

  Unsets filterting by spouse name.

### setWebPage

    public void setWebPage(java.lang.String sWebPage)

  Sets filtering by web page. Checks the web page match as a substring of the web page.
  Parameters:
    `sWebPage` - the web page
  See Also:
    `setWebPage(String, boolean)`

### setWebPage

    public void setWebPage(java.lang.String sWebPage,
                           boolean bExactMatch)

  Sets filtering by web page.
  Parameters:
    `sWebPage` - the web page
    `bExactMatch` - `true` for an exact match of the string web page; `false` to match as substring web page

### setWebPage

    public void setWebPage(java.lang.String[] webPages)

  Sets filtering by web page. Checks the web page match as a substring of the web page.
  Parameters:
    `webPages` - the web pages
  See Also:
    `setWebPage(String[], boolean)`

### setWebPage

    public void setWebPage(java.lang.String[] webPages,
                           boolean bExactMatch)

  Sets filtering by web pages.
  Parameters:
    `webPages` - the web pages
    `bExactMatch` - `true` for an exact match of the web pages; `false` to match a substring

### unsetWebPage

    public void unsetWebPage()

  Unsets filterting by web page.

### setFtpSite

    public void setFtpSite(java.lang.String sFtpSite)

  Sets filtering by ftp site. Checks the ftp site match as a substring of the ftp site.
  Parameters:
    `sFtpSite` - the ftp site
  See Also:
    `setFtpSite(String, boolean)`

### setFtpSite

    public void setFtpSite(java.lang.String sFtpSite,
                           boolean bExactMatch)

  Sets filtering by ftp site.
  Parameters:
    `sFtpSite` - the ftp site
    `bExactMatch` - `true` for an exact match of the string ftp site; `false` to match as substring ftp site

### setFtpSite

    public void setFtpSite(java.lang.String[] ftpSites)

  Sets filtering by ftp site. Checks the ftp site match as a substring of the ftp site.
  Parameters:
    `ftpSites` - the ftp sites
  See Also:
    `setFtpSite(String[], boolean)`

### setFtpSite

    public void setFtpSite(java.lang.String[] ftpSites,
                           boolean bExactMatch)

  Sets filtering by ftp sites.
  Parameters:
    `ftpSites` - the ftp sites
    `bExactMatch` - `true` for an exact match of the ftp sites; `false` to match a substring

### unsetFtpSite

    public void unsetFtpSite()

  Unsets filterting by ftp site.

### setFlag

    public void setFlag(Flag flag)

  Sets filtering by flag.
  Parameters:
    `flag` - the flag

### setFlag

    public void setFlag(Flag[] flags)

  Sets filtering by flags.
  Parameters:
    `flags` - the flags

### unsetFlag

    public void unsetFlag()

  Unsets filterting by contact flag.

### setEmailAddress

    public void setEmailAddress(java.lang.String sEmailAddress)

  Sets filtering by email address. Checks the email address match as a substring of the email address.
  Parameters:
    `sEmailAddress` - the email address
  See Also:
    `setEmailAddress(String, boolean)`

### setEmailAddress

    public void setEmailAddress(java.lang.String sEmailAddress,
                                boolean bExactMatch)

  Sets filtering by email address.
  Parameters:
    `sEmailAddress` - the email address
    `bExactMatch` - `true` for an exact match of the string email address; `false` to match as substring email address

### setEmailAddress

    public void setEmailAddress(java.lang.String[] emailAddresses)

  Sets filtering by email address. Checks the email address match as a substring of the email address.
  Parameters:
    `emailAddresses` - the email addresses
  See Also:
    `setEmailAddress(String[], boolean)`

### setEmailAddress

    public void setEmailAddress(java.lang.String[] emailAddresses,
                                boolean bExactMatch)

  Sets filtering by email addresses.
  Parameters:
    `emailAddresses` - the email addresses
    `bExactMatch` - `true` for an exact match of the email addresses; `false` to match a substring

### unsetEmailAddress

    public void unsetEmailAddress()

  Unsets filterting by email address.

### setEmail2Address

    public void setEmail2Address(java.lang.String sEmailAddress)

  Sets filtering by email2 address. Checks the email2 address match as a substring of the email2 address.
  Parameters:
    `sEmailAddress` - the email address
  See Also:
    `setEmail2Address(String, boolean)`

### setEmail2Address

    public void setEmail2Address(java.lang.String sEmailAddress,
                                 boolean bExactMatch)

  Sets filtering by email2 address.
  Parameters:
    `sEmailAddress` - the email address
    `bExactMatch` - `true` for an exact match of the string email address; `false` to match as substring email address

### setEmail2Address

    public void setEmail2Address(java.lang.String[] emailAddresses)

  Sets filtering by email2 address. Checks the email2 address match as a substring of the email2 address.
  Parameters:
    `emailAddresses` - the email addresses
  See Also:
    `setEmailAddress(String[], boolean)`

### setEmail2Address

    public void setEmail2Address(java.lang.String[] emailAddresses,
                                 boolean bExactMatch)

  Sets filtering by email2 addresses.
  Parameters:
    `emailAddresses` - the email addresses
    `bExactMatch` - `true` for an exact match of the email addresses; `false` to match a substring

### unsetEmail2Address

    public void unsetEmail2Address()

  Unsets filterting by email2 address.

### setEmail3Address

    public void setEmail3Address(java.lang.String sEmailAddress)

  Sets filtering by email3 address. Checks the email3 address match as a substring of the email3 address.
  Parameters:
    `sEmailAddress` - the email address
  See Also:
    `setEmail3Address(String, boolean)`

### setEmail3Address

    public void setEmail3Address(java.lang.String sEmailAddress,
                                 boolean bExactMatch)

  Sets filtering by email3 address.
  Parameters:
    `sEmailAddress` - the email address
    `bExactMatch` - `true` for an exact match of the string email address; `false` to match as substring email address

### setEmail3Address

    public void setEmail3Address(java.lang.String[] emailAddresses)

  Sets filtering by email3 address. Checks the email3 address match as a substring of the email3 address.
  Parameters:
    `emailAddresses` - the email addresses
  See Also:
    `setEmailAddress(String[], boolean)`

### setEmail3Address

    public void setEmail3Address(java.lang.String[] emailAddresses,
                                 boolean bExactMatch)

  Sets filtering by email3 addresses.
  Parameters:
    `emailAddresses` - the email addresses
    `bExactMatch` - `true` for an exact match of the email addresses; `false` to match a substring

### unsetEmail3Address

    public void unsetEmail3Address()

  Unsets filterting by email3 address.

### setCarTelephoneNumber

    public void setCarTelephoneNumber(java.lang.String sNumber)

  Sets filtering by car telephone number. Checks the car telephone number match as a substring of the car telephone number.
  Parameters:
    `sNumber` - the car telephone number
  See Also:
    `setCarTelephoneNumber(String, boolean)`

### setCarTelephoneNumber

    public void setCarTelephoneNumber(java.lang.String sNumber,
                                      boolean bExactMatch)

  Sets filtering by car telephone number.
  Parameters:
    `sNumber` - the car telephone number
    `bExactMatch` - `true` for an exact match of the string car telephone number; `false` to match as substring car telephone number

### setCarTelephoneNumber

    public void setCarTelephoneNumber(java.lang.String[] numbers)

  Sets filtering by car telephone number. Checks the car telephone number match as a substring of the car telephone number.
  Parameters:
    `numbers` - the car telephone numbers
  See Also:
    `setCarTelephoneNumber(String[], boolean)`

### setCarTelephoneNumber

    public void setCarTelephoneNumber(java.lang.String[] numbers,
                                      boolean bExactMatch)

  Sets filtering by car telephone numbers.
  Parameters:
    `numbers` - the car telephone numbers
    `bExactMatch` - `true` for an exact match of the car telephone numbers; `false` to match a substring

### unsetCarTelephoneNumber

    public void unsetCarTelephoneNumber()

  Unsets filterting by car telephone number.

### setMobileTelephoneNumber

    public void setMobileTelephoneNumber(java.lang.String sNumber)

  Sets filtering by mobile telephone number. Checks the mobile telephone number match as a substring of the mobile telephone number.
  Parameters:
    `sNumber` - the mobile telephone number
  See Also:
    `setMobileTelephoneNumber(String, boolean)`

### setMobileTelephoneNumber

    public void setMobileTelephoneNumber(java.lang.String sNumber,
                                         boolean bExactMatch)

  Sets filtering by mobile telephone number.
  Parameters:
    `sNumber` - the mobile telephone number
    `bExactMatch` - `true` for an exact match of the string mobile telephone number; `false` to match as substring mobile telephone number

### setMobileTelephoneNumber

    public void setMobileTelephoneNumber(java.lang.String[] numbers)

  Sets filtering by mobile telephone number. Checks the mobile telephone number match as a substring of the mobile telephone number.
  Parameters:
    `numbers` - the mobile telephone numbers
  See Also:
    `setMobileTelephoneNumber(String[], boolean)`

### setMobileTelephoneNumber

    public void setMobileTelephoneNumber(java.lang.String[] numbers,
                                         boolean bExactMatch)

  Sets filtering by mobile telephone numbers.
  Parameters:
    `numbers` - the mobile telephone numbers
    `bExactMatch` - `true` for an exact match of the mobile telephone numbers; `false` to match a substring

### unsetMobileTelephoneNumber

    public void unsetMobileTelephoneNumber()

  Unsets filterting by mobile telephone number.

### setPagerTelephoneNumber

    public void setPagerTelephoneNumber(java.lang.String sNumber)

  Sets filtering by pager telephone number. Checks the pager telephone number match as a substring of the pager telephone number.
  Parameters:
    `sNumber` - the pager telephone number
  See Also:
    `setPagerTelephoneNumber(String, boolean)`

### setPagerTelephoneNumber

    public void setPagerTelephoneNumber(java.lang.String sNumber,
                                        boolean bExactMatch)

  Sets filtering by pager telephone number.
  Parameters:
    `sNumber` - the pager telephone number
    `bExactMatch` - `true` for an exact match of the string pager telephone number; `false` to match as substring pager telephone number

### setPagerTelephoneNumber

    public void setPagerTelephoneNumber(java.lang.String[] numbers)

  Sets filtering by pager telephone number. Checks the pager telephone number match as a substring of the pager telephone number.
  Parameters:
    `numbers` - the pager telephone numbers
  See Also:
    `setPagerTelephoneNumber(String[], boolean)`

### setPagerTelephoneNumber

    public void setPagerTelephoneNumber(java.lang.String[] numbers,
                                        boolean bExactMatch)

  Sets filtering by pager telephone numbers.
  Parameters:
    `numbers` - the pager telephone numbers
    `bExactMatch` - `true` for an exact match of the pager telephone numbers; `false` to match a substring

### unsetPagerTelephoneNumber

    public void unsetPagerTelephoneNumber()

  Unsets filterting by pager telephone number.

### setOtherTelephoneNumber

    public void setOtherTelephoneNumber(java.lang.String sNumber)

  Sets filtering by other telephone number. Checks the other telephone number match as a substring of the other telephone number.
  Parameters:
    `sNumber` - the other telephone number
  See Also:
    `setOtherTelephoneNumber(String, boolean)`

### setOtherTelephoneNumber

    public void setOtherTelephoneNumber(java.lang.String sNumber,
                                        boolean bExactMatch)

  Sets filtering by other telephone number.
  Parameters:
    `sNumber` - the other telephone number
    `bExactMatch` - `true` for an exact match of the string other telephone number; `false` to match as substring other telephone number

### setOtherTelephoneNumber

    public void setOtherTelephoneNumber(java.lang.String[] numbers)

  Sets filtering by other telephone number. Checks the other telephone number match as a substring of the other telephone number.
  Parameters:
    `numbers` - the other telephone numbers
  See Also:
    `setOtherTelephoneNumber(String[], boolean)`

### setOtherTelephoneNumber

    public void setOtherTelephoneNumber(java.lang.String[] numbers,
                                        boolean bExactMatch)

  Sets filtering by other telephone numbers.
  Parameters:
    `numbers` - the other telephone numbers
    `bExactMatch` - `true` for an exact match of the other telephone numbers; `false` to match a substring

### unsetOtherTelephoneNumber

    public void unsetOtherTelephoneNumber()

  Unsets filterting by other telephone number.

### setBusinessTelephoneNumber

    public void setBusinessTelephoneNumber(java.lang.String sNumber)

  Sets filtering by business telephone number. Checks the business telephone number match as a substring of the business telephone number.
  Parameters:
    `sNumber` - the business telephone number
  See Also:
    `setBusinessTelephoneNumber(String, boolean)`

### setBusinessTelephoneNumber

    public void setBusinessTelephoneNumber(java.lang.String sNumber,
                                           boolean bExactMatch)

  Sets filtering by business telephone number.
  Parameters:
    `sNumber` - the business telephone number
    `bExactMatch` - `true` for an exact match of the string business telephone number; `false` to match as substring business telephone number

### setBusinessTelephoneNumber

    public void setBusinessTelephoneNumber(java.lang.String[] numbers)

  Sets filtering by business telephone number. Checks the business telephone number match as a substring of the business telephone number.
  Parameters:
    `numbers` - the business telephone numbers
  See Also:
    `setBusinessTelephoneNumber(String[], boolean)`

### setBusinessTelephoneNumber

    public void setBusinessTelephoneNumber(java.lang.String[] numbers,
                                           boolean bExactMatch)

  Sets filtering by business telephone numbers.
  Parameters:
    `numbers` - the business telephone numbers
    `bExactMatch` - `true` for an exact match of the business telephone numbers; `false` to match a substring

### unsetBusinessTelephoneNumber

    public void unsetBusinessTelephoneNumber()

  Unsets filterting by business telephone number.

### setAssistantTelephoneNumber

    public void setAssistantTelephoneNumber(java.lang.String sNumber)

  Sets filtering by assistant telephone number. Checks the assistant telephone number match as a substring of the assistant telephone number.
  Parameters:
    `sNumber` - the assistant telephone number
  See Also:
    `setAssistantTelephoneNumber(String, boolean)`

### setAssistantTelephoneNumber

    public void setAssistantTelephoneNumber(java.lang.String sNumber,
                                            boolean bExactMatch)

  Sets filtering by assistant telephone number.
  Parameters:
    `sNumber` - the assistant telephone number
    `bExactMatch` - `true` for an exact match of the string assistant telephone number; `false` to match as substring assistant telephone number

### setAssistantTelephoneNumber

    public void setAssistantTelephoneNumber(java.lang.String[] numbers)

  Sets filtering by assistant telephone number. Checks the assistant telephone number match as a substring of the assistant telephone number.
  Parameters:
    `numbers` - the assistant telephone numbers
  See Also:
    `setAssistantTelephoneNumber(String[], boolean)`

### setAssistantTelephoneNumber

    public void setAssistantTelephoneNumber(java.lang.String[] numbers,
                                            boolean bExactMatch)

  Sets filtering by assistant telephone numbers.
  Parameters:
    `numbers` - the assistant telephone numbers
    `bExactMatch` - `true` for an exact match of the assistant telephone numbers; `false` to match a substring

### unsetAssistantTelephoneNumber

    public void unsetAssistantTelephoneNumber()

  Unsets filterting by assistant telephone number.

### setHomeTelephoneNumber

    public void setHomeTelephoneNumber(java.lang.String sNumber)

  Sets filtering by home telephone number. Checks the home telephone number match as a substring of the home telephone number.
  Parameters:
    `sNumber` - the home telephone number
  See Also:
    `setHomeTelephoneNumber(String, boolean)`

### setHomeTelephoneNumber

    public void setHomeTelephoneNumber(java.lang.String sNumber,
                                       boolean bExactMatch)

  Sets filtering by home telephone number.
  Parameters:
    `sNumber` - the home telephone number
    `bExactMatch` - `true` for an exact match of the string home telephone number; `false` to match as substring home telephone number

### setHomeTelephoneNumber

    public void setHomeTelephoneNumber(java.lang.String[] numbers)

  Sets filtering by home telephone number. Checks the home telephone number match as a substring of the home telephone number.
  Parameters:
    `numbers` - the home telephone numbers
  See Also:
    `setHomeTelephoneNumber(String[], boolean)`

### setHomeTelephoneNumber

    public void setHomeTelephoneNumber(java.lang.String[] numbers,
                                       boolean bExactMatch)

  Sets filtering by home telephone numbers.
  Parameters:
    `numbers` - the home telephone numbers
    `bExactMatch` - `true` for an exact match of the home telephone numbers; `false` to match a substring

### unsetHomeTelephoneNumber

    public void unsetHomeTelephoneNumber()

  Unsets filterting by home telephone number.

### setHomeFaxNumber

    public void setHomeFaxNumber(java.lang.String sNumber)

  Sets filtering by home fax number. Checks the home fax number match as a substring of the home fax number.
  Parameters:
    `sNumber` - the home fax number
  See Also:
    `setHomeFaxNumber(String, boolean)`

### setHomeFaxNumber

    public void setHomeFaxNumber(java.lang.String sNumber,
                                 boolean bExactMatch)

  Sets filtering by home fax number.
  Parameters:
    `sNumber` - the home fax number
    `bExactMatch` - `true` for an exact match of the string home fax number; `false` to match as substring home fax number

### setHomeFaxNumber

    public void setHomeFaxNumber(java.lang.String[] numbers)

  Sets filtering by home fax number. Checks the home fax number match as a substring of the home fax number.
  Parameters:
    `numbers` - the home fax numbers
  See Also:
    `setHomeFaxNumber(String[], boolean)`

### setHomeFaxNumber

    public void setHomeFaxNumber(java.lang.String[] numbers,
                                 boolean bExactMatch)

  Sets filtering by home fax numbers.
  Parameters:
    `numbers` - the home fax numbers
    `bExactMatch` - `true` for an exact match of the home fax numbers; `false` to match a substring

### unsetHomeFaxNumber

    public void unsetHomeFaxNumber()

  Unsets filterting by home fax number.

### setBusinessFaxNumber

    public void setBusinessFaxNumber(java.lang.String sNumber)

  Sets filtering by business fax number. Checks the business fax number match as a substring of the business fax number.
  Parameters:
    `sNumber` - the business fax number
  See Also:
    `setBusinessFaxNumber(String, boolean)`

### setBusinessFaxNumber

    public void setBusinessFaxNumber(java.lang.String sNumber,
                                     boolean bExactMatch)

  Sets filtering by business fax number.
  Parameters:
    `sNumber` - the business fax number
    `bExactMatch` - `true` for an exact match of the string business fax number; `false` to match as substring business fax number

### setBusinessFaxNumber

    public void setBusinessFaxNumber(java.lang.String[] numbers)

  Sets filtering by business fax number. Checks the business fax number match as a substring of the business fax number.
  Parameters:
    `numbers` - the business fax numbers
  See Also:
    `setBusinessFaxNumber(String[], boolean)`

### setBusinessFaxNumber

    public void setBusinessFaxNumber(java.lang.String[] numbers,
                                     boolean bExactMatch)

  Sets filtering by business fax numbers.
  Parameters:
    `numbers` - the business fax numbers
    `bExactMatch` - `true` for an exact match of the business fax numbers; `false` to match a substring

### unsetBusinessFaxNumber

    public void unsetBusinessFaxNumber()

  Unsets filterting by business fax number.

### setHomeAddressPostOfficeBox

    public void setHomeAddressPostOfficeBox(java.lang.String sPostOfficeBox)

  Sets filtering by home address post office box. Checks the post office box match as a substring of the post office box.
  Parameters:
    `sPostOfficeBox` - the post office box
  See Also:
    `setHomeAddressPostOfficeBox(String, boolean)`

### setHomeAddressPostOfficeBox

    public void setHomeAddressPostOfficeBox(java.lang.String sPostOfficeBox,
                                            boolean bExactMatch)

  Sets filtering by home address post office box.
  Parameters:
    `sPostOfficeBox` - the post office box
    `bExactMatch` - `true` for an exact match of the string post office box; `false` to match as substring post office box

### setHomeAddressPostOfficeBox

    public void setHomeAddressPostOfficeBox(java.lang.String[] boxes)

  Sets filtering by home address post office box. Checks the post office boxmatch as a substring of the post office box.
  Parameters:
    `boxes` - the post office boxes
  See Also:
    `setHomeAddressPostOfficeBox(String[], boolean)`

### setHomeAddressPostOfficeBox

    public void setHomeAddressPostOfficeBox(java.lang.String[] boxes,
                                            boolean bExactMatch)

  Sets filtering by home address post office box.
  Parameters:
    `boxes` - the post office boxes
    `bExactMatch` - `true` for an exact match of the post office boxes; `false` to match a substring

### unsetHomeAddressPostOfficeBox

    public void unsetHomeAddressPostOfficeBox()

  Unsets filterting by home address post office box.

### setBusinessAddressPostOfficeBox

    public void setBusinessAddressPostOfficeBox(java.lang.String sPostOfficeBox)

  Sets filtering by business address post office box. Checks the post office box match as a substring of the post office box.
  Parameters:
    `sPostOfficeBox` - the post office box
  See Also:
    `setBusinessAddressPostOfficeBox(String, boolean)`

### setBusinessAddressPostOfficeBox

    public void setBusinessAddressPostOfficeBox(java.lang.String sPostOfficeBox,
                                                boolean bExactMatch)

  Sets filtering by business address post office box.
  Parameters:
    `sPostOfficeBox` - the post office box
    `bExactMatch` - `true` for an exact match of the string post office box; `false` to match as substring post office box

### setBusinessAddressPostOfficeBox

    public void setBusinessAddressPostOfficeBox(java.lang.String[] boxes)

  Sets filtering by business address post office box. Checks the post office boxmatch as a substring of the post office box.
  Parameters:
    `boxes` - the post office boxes
  See Also:
    `setBusinessAddressPostOfficeBox(String[], boolean)`

### setBusinessAddressPostOfficeBox

    public void setBusinessAddressPostOfficeBox(java.lang.String[] boxes,
                                                boolean bExactMatch)

  Sets filtering by business address post office box.
  Parameters:
    `boxes` - the post office boxes
    `bExactMatch` - `true` for an exact match of the post office boxes; `false` to match a substring

### unsetBusinessAddressPostOfficeBox

    public void unsetBusinessAddressPostOfficeBox()

  Unsets filterting by business address post office box.

### setOtherAddressPostOfficeBox

    public void setOtherAddressPostOfficeBox(java.lang.String sPostOfficeBox)

  Sets filtering by other address post office box. Checks the post office box match as a substring of the post office box.
  Parameters:
    `sPostOfficeBox` - the post office box
  See Also:
    `setOtherAddressPostOfficeBox(String, boolean)`

### setOtherAddressPostOfficeBox

    public void setOtherAddressPostOfficeBox(java.lang.String sPostOfficeBox,
                                             boolean bExactMatch)

  Sets filtering by other address post office box.
  Parameters:
    `sPostOfficeBox` - the post office box
    `bExactMatch` - `true` for an exact match of the string post office box; `false` to match as substring post office box

### setOtherAddressPostOfficeBox

    public void setOtherAddressPostOfficeBox(java.lang.String[] boxes)

  Sets filtering by other address post office box. Checks the post office boxmatch as a substring of the post office box.
  Parameters:
    `boxes` - the post office boxes
  See Also:
    `setOtherAddressPostOfficeBox(String[], boolean)`

### setOtherAddressPostOfficeBox

    public void setOtherAddressPostOfficeBox(java.lang.String[] boxes,
                                             boolean bExactMatch)

  Sets filtering by other address post office box.
  Parameters:
    `boxes` - the post office boxes
    `bExactMatch` - `true` for an exact match of the post office boxes; `false` to match a substring

### unsetOtherAddressPostOfficeBox

    public void unsetOtherAddressPostOfficeBox()

  Unsets filterting by other address post office box.

### setOtherAddressStreet

    public void setOtherAddressStreet(java.lang.String sStreet)

  Sets filtering by other address street. Checks the street match as a substring of the street.
  Parameters:
    `sStreet` - the street
  See Also:
    `setOtherAddressStreet(String, boolean)`

### setOtherAddressStreet

    public void setOtherAddressStreet(java.lang.String sStreet,
                                      boolean bExactMatch)

  Sets filtering by other address street.
  Parameters:
    `sStreet` - the street
    `bExactMatch` - `true` for an exact match of the string street; `false` to match as substring street

### setOtherAddressStreet

    public void setOtherAddressStreet(java.lang.String[] streets)

  Sets filtering by other address street. Checks the street match as a substring of the street.
  Parameters:
    `streets` - the streets
  See Also:
    `setOtherAddressStreet(String[], boolean)`

### setOtherAddressStreet

    public void setOtherAddressStreet(java.lang.String[] streets,
                                      boolean bExactMatch)

  Sets filtering by other address street.
  Parameters:
    `streets` - the streets
    `bExactMatch` - `true` for an exact match of the streets; `false` to match a substring

### unsetOtherAddressStreet

    public void unsetOtherAddressStreet()

  Unsets filterting by other address street.

### setHomeAddressStreet

    public void setHomeAddressStreet(java.lang.String sStreet)

  Sets filtering by home address street. Checks the street match as a substring of the street.
  Parameters:
    `sStreet` - the street
  See Also:
    `setHomeAddressStreet(String, boolean)`

### setHomeAddressStreet

    public void setHomeAddressStreet(java.lang.String sStreet,
                                     boolean bExactMatch)

  Sets filtering by home address street.
  Parameters:
    `sStreet` - the street
    `bExactMatch` - `true` for an exact match of the string street; `false` to match as substring street

### setHomeAddressStreet

    public void setHomeAddressStreet(java.lang.String[] streets)

  Sets filtering by home address street. Checks the street match as a substring of the street.
  Parameters:
    `streets` - the streets
  See Also:
    `setHomeAddressStreet(String[], boolean)`

### setHomeAddressStreet

    public void setHomeAddressStreet(java.lang.String[] streets,
                                     boolean bExactMatch)

  Sets filtering by home address street.
  Parameters:
    `streets` - the streets
    `bExactMatch` - `true` for an exact match of the streets; `false` to match a substring

### unsetHomeAddressStreet

    public void unsetHomeAddressStreet()

  Unsets filterting by home address street.

### setBusinessAddressStreet

    public void setBusinessAddressStreet(java.lang.String sStreet)

  Sets filtering by business address street. Checks the street match as a substring of the street.
  Parameters:
    `sStreet` - the street
  See Also:
    `setBusinessAddressStreet(String, boolean)`

### setBusinessAddressStreet

    public void setBusinessAddressStreet(java.lang.String sStreet,
                                         boolean bExactMatch)

  Sets filtering by business address street.
  Parameters:
    `sStreet` - the street
    `bExactMatch` - `true` for an exact match of the string street; `false` to match as substring street

### setBusinessAddressStreet

    public void setBusinessAddressStreet(java.lang.String[] streets)

  Sets filtering by business address street. Checks the street match as a substring of the street.
  Parameters:
    `streets` - the streets
  See Also:
    `setBusinessAddressStreet(String[], boolean)`

### setBusinessAddressStreet

    public void setBusinessAddressStreet(java.lang.String[] streets,
                                         boolean bExactMatch)

  Sets filtering by business address street.
  Parameters:
    `streets` - the streets
    `bExactMatch` - `true` for an exact match of the streets; `false` to match a substring

### unsetBusinessAddressStreet

    public void unsetBusinessAddressStreet()

  Unsets filterting by business address street.

### setBusinessAddressCity

    public void setBusinessAddressCity(java.lang.String sCity)

  Sets filtering by business address city. Checks the city match as a substring of the city.
  Parameters:
    `sCity` - the city
  See Also:
    `setBusinessAddressCity(String, boolean)`

### setBusinessAddressCity

    public void setBusinessAddressCity(java.lang.String sCity,
                                       boolean bExactMatch)

  Sets filtering by business address city.
  Parameters:
    `sCity` - the city
    `bExactMatch` - `true` for an exact match of the string city; `false` to match as substring city

### setBusinessAddressCity

    public void setBusinessAddressCity(java.lang.String[] cities)

  Sets filtering by business address city. Checks the city match as a substring of the city.
  Parameters:
    `cities` - the cities
  See Also:
    `setBusinessAddressCity(String[], boolean)`

### setBusinessAddressCity

    public void setBusinessAddressCity(java.lang.String[] cities,
                                       boolean bExactMatch)

  Sets filtering by business address city.
  Parameters:
    `cities` - the cities
    `bExactMatch` - `true` for an exact match of the cities; `false` to match a substring

### unsetBusinessAddressCity

    public void unsetBusinessAddressCity()

  Unsets filterting by business address city.

### setOtherAddressCity

    public void setOtherAddressCity(java.lang.String sCity)

  Sets filtering by other address city. Checks the city match as a substring of the city.
  Parameters:
    `sCity` - the city
  See Also:
    `setOtherAddressCity(String, boolean)`

### setOtherAddressCity

    public void setOtherAddressCity(java.lang.String sCity,
                                    boolean bExactMatch)

  Sets filtering by other address city.
  Parameters:
    `sCity` - the city
    `bExactMatch` - `true` for an exact match of the string city; `false` to match as substring city

### setOtherAddressCity

    public void setOtherAddressCity(java.lang.String[] cities)

  Sets filtering by other address city. Checks the city match as a substring of the city.
  Parameters:
    `cities` - the cities
  See Also:
    `setOtherAddressCity(String[], boolean)`

### setOtherAddressCity

    public void setOtherAddressCity(java.lang.String[] cities,
                                    boolean bExactMatch)

  Sets filtering by other address city.
  Parameters:
    `cities` - the cities
    `bExactMatch` - `true` for an exact match of the cities; `false` to match a substring

### unsetOtherAddressCity

    public void unsetOtherAddressCity()

  Unsets filterting by other address city.

### setHomeAddressCity

    public void setHomeAddressCity(java.lang.String sCity)

  Sets filtering by home address city. Checks the city match as a substring of the city.
  Parameters:
    `sCity` - the city
  See Also:
    `setHomeAddressCity(String, boolean)`

### setHomeAddressCity

    public void setHomeAddressCity(java.lang.String sCity,
                                   boolean bExactMatch)

  Sets filtering by home address city.
  Parameters:
    `sCity` - the city
    `bExactMatch` - `true` for an exact match of the string city; `false` to match as substring city

### setHomeAddressCity

    public void setHomeAddressCity(java.lang.String[] cities)

  Sets filtering by home address city. Checks the city match as a substring of the city.
  Parameters:
    `cities` - the cities
  See Also:
    `setHomeAddressCity(String[], boolean)`

### setHomeAddressCity

    public void setHomeAddressCity(java.lang.String[] cities,
                                   boolean bExactMatch)

  Sets filtering by home address city.
  Parameters:
    `cities` - the cities
    `bExactMatch` - `true` for an exact match of the cities; `false` to match a substring

### unsetHomeAddressCity

    public void unsetHomeAddressCity()

  Unsets filterting by home address city.

### setHomeAddressCountry

    public void setHomeAddressCountry(java.lang.String sCountry)

  Sets filtering by home address country. Checks the country match as a substring of the country.
  Parameters:
    `sCountry` - the country
  See Also:
    `setHomeAddressCountry(String, boolean)`

### setHomeAddressCountry

    public void setHomeAddressCountry(java.lang.String sCountry,
                                      boolean bExactMatch)

  Sets filtering by home address country.
  Parameters:
    `sCountry` - the country
    `bExactMatch` - `true` for an exact match of the string country; `false` to match as substring country

### setHomeAddressCountry

    public void setHomeAddressCountry(java.lang.String[] countries)

  Sets filtering by home address country. Checks the country match as a substring of the country.
  Parameters:
    `countries` - the countries
  See Also:
    `setHomeAddressCountry(String[], boolean)`

### setHomeAddressCountry

    public void setHomeAddressCountry(java.lang.String[] countries,
                                      boolean bExactMatch)

  Sets filtering by home address country.
  Parameters:
    `countries` - the countries
    `bExactMatch` - `true` for an exact match of the countries; `false` to match a substring

### unsetHomeAddressCountry

    public void unsetHomeAddressCountry()

  Unsets filterting by home address country.

### setBusinessAddressCountry

    public void setBusinessAddressCountry(java.lang.String sCountry)

  Sets filtering by business address country. Checks the country match as a substring of the country.
  Parameters:
    `sCountry` - the country
  See Also:
    `setBusinessAddressCountry(String, boolean)`

### setBusinessAddressCountry

    public void setBusinessAddressCountry(java.lang.String sCountry,
                                          boolean bExactMatch)

  Sets filtering by business address country.
  Parameters:
    `sCountry` - the country
    `bExactMatch` - `true` for an exact match of the string country; `false` to match as substring country

### setBusinessAddressCountry

    public void setBusinessAddressCountry(java.lang.String[] countries)

  Sets filtering by business address country. Checks the country match as a substring of the country.
  Parameters:
    `countries` - the countries
  See Also:
    `setBusinessAddressCountry(String[], boolean)`

### setBusinessAddressCountry

    public void setBusinessAddressCountry(java.lang.String[] countries,
                                          boolean bExactMatch)

  Sets filtering by business address country.
  Parameters:
    `countries` - the countries
    `bExactMatch` - `true` for an exact match of the countries; `false` to match a substring

### unsetBusinessAddressCountry

    public void unsetBusinessAddressCountry()

  Unsets filterting by business address country.

### setOtherAddressCountry

    public void setOtherAddressCountry(java.lang.String sCountry)

  Sets filtering by other address country. Checks the country match as a substring of the country.
  Parameters:
    `sCountry` - the country
  See Also:
    `setOtherAddressCountry(String, boolean)`

### setOtherAddressCountry

    public void setOtherAddressCountry(java.lang.String sCountry,
                                       boolean bExactMatch)

  Sets filtering by other address country.
  Parameters:
    `sCountry` - the country
    `bExactMatch` - `true` for an exact match of the string country; `false` to match as substring country

### setOtherAddressCountry

    public void setOtherAddressCountry(java.lang.String[] countries)

  Sets filtering by other address country. Checks the country match as a substring of the country.
  Parameters:
    `countries` - the countries
  See Also:
    `setOtherAddressCountry(String[], boolean)`

### setOtherAddressCountry

    public void setOtherAddressCountry(java.lang.String[] countries,
                                       boolean bExactMatch)

  Sets filtering by other address country.
  Parameters:
    `countries` - the countries
    `bExactMatch` - `true` for an exact match of the countries; `false` to match a substring

### unsetOtherAddressCountry

    public void unsetOtherAddressCountry()

  Unsets filterting by other address country.

### setOtherAddressPostalCode

    public void setOtherAddressPostalCode(java.lang.String sPostalCode)

  Sets filtering by other address postal code. Checks the postal code match as a substring of the postal code.
  Parameters:
    `sPostalCode` - the postal code
  See Also:
    `setOtherAddressPostalCode(String, boolean)`

### setOtherAddressPostalCode

    public void setOtherAddressPostalCode(java.lang.String sPostalCode,
                                          boolean bExactMatch)

  Sets filtering by other address postal code.
  Parameters:
    `sPostalCode` - the postal code
    `bExactMatch` - `true` for an exact match of the string postal code; `false` to match as substring postal code

### setOtherAddressPostalCode

    public void setOtherAddressPostalCode(java.lang.String[] codes)

  Sets filtering by other address postal code. Checks the postal code match as a substring of the postal code.
  Parameters:
    `codes` - the codes
  See Also:
    `setOtherAddressPostalCode(String[], boolean)`

### setOtherAddressPostalCode

    public void setOtherAddressPostalCode(java.lang.String[] codes,
                                          boolean bExactMatch)

  Sets filtering by other address postal code.
  Parameters:
    `codes` - the codes
    `bExactMatch` - `true` for an exact match of the codes; `false` to match a substring

### unsetOtherAddressPostalCode

    public void unsetOtherAddressPostalCode()

  Unsets filterting by other address postal code.

### setHomeAddressPostalCode

    public void setHomeAddressPostalCode(java.lang.String sPostalCode)

  Sets filtering by home address postal code. Checks the postal code match as a substring of the postal code.
  Parameters:
    `sPostalCode` - the postal code
  See Also:
    `setHomeAddressPostalCode(String, boolean)`

### setHomeAddressPostalCode

    public void setHomeAddressPostalCode(java.lang.String sPostalCode,
                                         boolean bExactMatch)

  Sets filtering by home address postal code.
  Parameters:
    `sPostalCode` - the postal code
    `bExactMatch` - `true` for an exact match of the string postal code; `false` to match as substring postal code

### setHomeAddressPostalCode

    public void setHomeAddressPostalCode(java.lang.String[] codes)

  Sets filtering by home address postal code. Checks the postal code match as a substring of the postal code.
  Parameters:
    `codes` - the codes
  See Also:
    `setHomeAddressPostalCode(String[], boolean)`

### setHomeAddressPostalCode

    public void setHomeAddressPostalCode(java.lang.String[] codes,
                                         boolean bExactMatch)

  Sets filtering by home address postal code.
  Parameters:
    `codes` - the codes
    `bExactMatch` - `true` for an exact match of the codes; `false` to match a substring

### unsetHomeAddressPostalCode

    public void unsetHomeAddressPostalCode()

  Unsets filterting by home address postal code.

### setBusinessAddressPostalCode

    public void setBusinessAddressPostalCode(java.lang.String sPostalCode)

  Sets filtering by business address postal code. Checks the postal code match as a substring of the postal code.
  Parameters:
    `sPostalCode` - the postal code
  See Also:
    `setBusinessAddressPostalCode(String, boolean)`

### setBusinessAddressPostalCode

    public void setBusinessAddressPostalCode(java.lang.String sPostalCode,
                                             boolean bExactMatch)

  Sets filtering by business address postal code.
  Parameters:
    `sPostalCode` - the postal code
    `bExactMatch` - `true` for an exact match of the string postal code; `false` to match as substring postal code

### setBusinessAddressPostalCode

    public void setBusinessAddressPostalCode(java.lang.String[] codes)

  Sets filtering by business address postal code. Checks the postal code match as a substring of the postal code.
  Parameters:
    `codes` - the codes
  See Also:
    `setBusinessAddressPostalCode(String[], boolean)`

### setBusinessAddressPostalCode

    public void setBusinessAddressPostalCode(java.lang.String[] codes,
                                             boolean bExactMatch)

  Sets filtering by business address postal code.
  Parameters:
    `codes` - the codes
    `bExactMatch` - `true` for an exact match of the codes; `false` to match a substring

### unsetBusinessAddressPostalCode

    public void unsetBusinessAddressPostalCode()

  Unsets filterting by business address postal code.

### setBusinessAddressStateOrProvince

    public void setBusinessAddressStateOrProvince(java.lang.String sStateOrProvince)

  Sets filtering by business address state or province. Checks the state or province match as a substring of the state or province.
  Parameters:
    `sStateOrProvince` - the state or province
  See Also:
    `setBusinessAddressStateOrProvince(String, boolean)`

### setBusinessAddressStateOrProvince

    public void setBusinessAddressStateOrProvince(java.lang.String sStateOrProvince,
                                                  boolean bExactMatch)

  Sets filtering by business address state or province.
  Parameters:
    `sStateOrProvince` - the state or province
    `bExactMatch` - `true` for an exact match of the string state or province; `false` to match as substring state or province

### setBusinessAddressStateOrProvince

    public void setBusinessAddressStateOrProvince(java.lang.String[] states)

  Sets filtering by business address state or province. Checks the state or province match as a substring of the state or province.
  Parameters:
    `states` - the states
  See Also:
    `setBusinessAddressStateOrProvince(String[], boolean)`

### setBusinessAddressStateOrProvince

    public void setBusinessAddressStateOrProvince(java.lang.String[] states,
                                                  boolean bExactMatch)

  Sets filtering by business address state or province.
  Parameters:
    `states` - the states
    `bExactMatch` - `true` for an exact match of the states; `false` to match a substring

### unsetBusinessAddressStateOrProvince

    public void unsetBusinessAddressStateOrProvince()

  Unsets filterting by business address state or province.

### setHomeAddressStateOrProvince

    public void setHomeAddressStateOrProvince(java.lang.String sStateOrProvince)

  Sets filtering by home address state or province. Checks the state or province match as a substring of the state or province.
  Parameters:
    `sStateOrProvince` - the state or province
  See Also:
    `setHomeAddressStateOrProvince(String, boolean)`

### setHomeAddressStateOrProvince

    public void setHomeAddressStateOrProvince(java.lang.String sStateOrProvince,
                                              boolean bExactMatch)

  Sets filtering by home address state or province.
  Parameters:
    `sStateOrProvince` - the state or province
    `bExactMatch` - `true` for an exact match of the string state or province; `false` to match as substring state or province

### setHomeAddressStateOrProvince

    public void setHomeAddressStateOrProvince(java.lang.String[] states)

  Sets filtering by home address state or province. Checks the state or province match as a substring of the state or province.
  Parameters:
    `states` - the states
  See Also:
    `setHomeAddressStateOrProvince(String[], boolean)`

### setHomeAddressStateOrProvince

    public void setHomeAddressStateOrProvince(java.lang.String[] states,
                                              boolean bExactMatch)

  Sets filtering by home address state or province.
  Parameters:
    `states` - the states
    `bExactMatch` - `true` for an exact match of the states; `false` to match a substring

### unsetHomeAddressStateOrProvince

    public void unsetHomeAddressStateOrProvince()

  Unsets filterting by home address state or province.

### setOtherAddressStateOrProvince

    public void setOtherAddressStateOrProvince(java.lang.String sStateOrProvince)

  Sets filtering by other address state or province. Checks the state or province match as a substring of the state or province.
  Parameters:
    `sStateOrProvince` - the state or province
  See Also:
    `setOtherAddressStateOrProvince(String, boolean)`

### setOtherAddressStateOrProvince

    public void setOtherAddressStateOrProvince(java.lang.String sStateOrProvince,
                                               boolean bExactMatch)

  Sets filtering by other address state or province.
  Parameters:
    `sStateOrProvince` - the state or province
    `bExactMatch` - `true` for an exact match of the string state or province; `false` to match as substring state or province

### setOtherAddressStateOrProvince

    public void setOtherAddressStateOrProvince(java.lang.String[] states)

  Sets filtering by other address state or province. Checks the state or province match as a substring of the state or province.
  Parameters:
    `states` - the states
  See Also:
    `setOtherAddressStateOrProvince(String[], boolean)`

### setOtherAddressStateOrProvince

    public void setOtherAddressStateOrProvince(java.lang.String[] states,
                                               boolean bExactMatch)

  Sets filtering by other address state or province.
  Parameters:
    `states` - the states
    `bExactMatch` - `true` for an exact match of the states; `false` to match a substring

### unsetOtherAddressStateOrProvince

    public void unsetOtherAddressStateOrProvince()

  Unsets filterting by other address state or province.

### setBirthday

    public void setBirthday(java.util.Date startDate,
                            java.util.Date endDate)

  Sets filtering by a birthday date range.
  Parameters:
    `startDate` - the birthday start range
    `endDate` - the birthday end range

### unsetBirthday

    public void unsetBirthday()

  Unsets filtering by birthday.

### setDateLastModified

    public void setDateLastModified(java.util.Date startDate,
                                    java.util.Date endDate)

  Sets filtering by a last modified date range.
  Parameters:
    `startDate` - the last modified start range
    `endDate` - the last modified end range

### unsetDateLastModified

    public void unsetDateLastModified()

  Unsets filtering by last modified date range.

### setAnniversary

    public void setAnniversary(java.util.Date startDate,
                               java.util.Date endDate)

  Sets filtering by a anniversary date range.
  Parameters:
    `startDate` - the anniversary start range
    `endDate` - the anniversary end range

### unsetAnniversary

    public void unsetAnniversary()

  Unsets filtering by anniversary.

### setBeginsFirstNameRule

    public void setBeginsFirstNameRule(java.lang.String sBeginsString)

  Sets the begins first name rule. The rule tests if the first name begins with the specified string. The match is not case sensitive
  Parameters:
    `sBeginsString` - the beginning string to check for

### unsetBeginsFirstNameRule

    public void unsetBeginsFirstNameRule()

  Unsets the begins first name rule.

### setBeginsLastNameRule

    public void setBeginsLastNameRule(java.lang.String sBeginsString)

  Sets the begins last name rule. The rule tests if the last name begins with the specified string. The match is not case sensitive
  Parameters:
    `sBeginsString` - the beginning string to check for

### unsetBeginsLastNameRule

    public void unsetBeginsLastNameRule()

  Unsets the begins last name rule.

### setDateCreated

    public void setDateCreated(java.util.Date startDate,
                               java.util.Date endDate)

  Sets filtering by a date created range.
  Parameters:
    `startDate` - the date created start range
    `endDate` - the date created end range

### unsetDateCreated

    public void unsetDateCreated()

  Unsets filtering by date created.

### setCustomNum1

    public void setCustomNum1(long[] customNum1s)

  Sets filtering by the custom num1 field.
  Parameters:
    `lCustomNum1` - the custom num1

### setCustomNum1

    public void setCustomNum1(long lCustomNum1)

  Sets filtering by the custom num1 field.
  Parameters:
    `lCustomNum1` - the custom num1

### setCustomNum1

    public void setCustomNum1(long lCustomNum1,
                              boolean bGreaterThan)

  Sets filtering by the custom num1 field.
  Parameters:
    `lCustomNum1` - the custom num1
    `bGreaterThan` - `true` for custom num1 greater than specified number; `false` for custom num1 less than specified number

### setCustomNum1

    public void setCustomNum1(long lFromCount,
                              long lToCount)

  Sets filtering by custom num1 between the specified range. The `lFromCount` must be less than the `lToCount`.
  Parameters:
    `lFromCount` - the custom num1 low range
    `lToCount` - the custom num1 high range

### unsetCustomNum1

    public void unsetCustomNum1()

  Unsets filtering by custom num1.

### setCustomNum2

    public void setCustomNum2(long[] customNum2s)

  Sets filtering by the custom num2 field.
  Parameters:
    `lCustomNum2` - the custom num2

### setCustomNum2

    public void setCustomNum2(long lCustomNum2)

  Sets filtering by the custom num2 field.
  Parameters:
    `lCustomNum2` - the custom num2

### setCustomNum2

    public void setCustomNum2(long lCustomNum2,
                              boolean bGreaterThan)

  Sets filtering by the custom num2 field.
  Parameters:
    `lCustomNum2` - the custom num2
    `bGreaterThan` - `true` for custom num2 greater than specified number; `false` for custom num2 less than specified number

### setCustomNum2

    public void setCustomNum2(long lFromCount,
                              long lToCount)

  Sets filtering by custom num2 between the specified range. The `lFromCount` must be less than the `lToCount`.
  Parameters:
    `lFromCount` - the custom num2 low range
    `lToCount` - the custom num2 high range

### unsetCustomNum2

    public void unsetCustomNum2()

  Unsets filtering by custom num2.

### setCustomNum3

    public void setCustomNum3(long[] customNum3s)

  Sets filtering by the custom num3 field.
  Parameters:
    `lCustomNum3` - the custom num3

### setCustomNum3

    public void setCustomNum3(long lCustomNum3)

  Sets filtering by the custom num3 field.
  Parameters:
    `lCustomNum3` - the custom num3

### setCustomNum3

    public void setCustomNum3(long lCustomNum3,
                              boolean bGreaterThan)

  Sets filtering by the custom num3 field.
  Parameters:
    `lCustomNum3` - the custom num3
    `bGreaterThan` - `true` for custom num3 greater than specified number; `false` for custom num3 less than specified number

### setCustomNum3

    public void setCustomNum3(long lFromCount,
                              long lToCount)

  Sets filtering by custom num3 between the specified range. The `lFromCount` must be less than the `lToCount`.
  Parameters:
    `lFromCount` - the custom num1 low range
    `lToCount` - the custom num1 high range

### unsetCustomNum3

    public void unsetCustomNum3()

  Unsets filtering by custom num3.

### setCustomStr1

    public void setCustomStr1(java.lang.String sCustomStr1)

  Sets filtering by custom str1. Checks the custom str1 match as a substring of the custom str1.
  Parameters:
    `sCustomStr1` - the Custom String1
  See Also:
    `setCustomStr1(String, boolean)`

### setCustomStr1

    public void setCustomStr1(java.lang.String sCustomStr1,
                              boolean bExactMatch)

  Sets filtering by custom str1.
  Parameters:
    `sCustomStr1` - the custom str1
    `bExactMatch` - `true` for an exact match of the string custom str1; `false` to match as substring custom str1

### setCustomStr1

    public void setCustomStr1(java.lang.String[] customString1s)

  Sets filtering by custom str1. Checks the custom str1 match as a substring of the custom str1.
  Parameters:
    `customString1s` - the custom string1s
  See Also:
    `setCustomStr1(String[], boolean)`

### setCustomStr1

    public void setCustomStr1(java.lang.String[] customString1s,
                              boolean bExactMatch)

  Sets filtering by custom str1.
  Parameters:
    `customString1s` - the custom string1s
    `exact` - `true` for an exact match of the custom string1s; `false` to match a substring

### unsetCustomStr1

    public void unsetCustomStr1()

  Unsets filterting by custom str1.

### setCustomStr2

    public void setCustomStr2(java.lang.String sCustomStr2)

  Sets filtering by custom str2. Checks the custom str2 match as a substring of the custom str2.
  Parameters:
    `sCustomStr2` - the Custom String2
  See Also:
    `setCustomStr2(String, boolean)`

### setCustomStr2

    public void setCustomStr2(java.lang.String sCustomStr2,
                              boolean bExactMatch)

  Sets filtering by custom str2.
  Parameters:
    `sCustomStr2` - the custom str2
    `bExactMatch` - `true` for an exact match of the string custom str2; `false` to match as substring custom str2

### setCustomStr2

    public void setCustomStr2(java.lang.String[] customString2s)

  Sets filtering by custom str2. Checks the custom str2 match as a substring of the custom str2.
  Parameters:
    `customString2s` - the custom string2s
  See Also:
    `setCustomStr2(String[], boolean)`

### setCustomStr2

    public void setCustomStr2(java.lang.String[] customString2s,
                              boolean bExactMatch)

  Sets filtering by custom str2.
  Parameters:
    `customString2s` - the custom string2s
    `exact` - `true` for an exact match of the custom string2s; `false` to match a substring

### unsetCustomStr2

    public void unsetCustomStr2()

  Unsets filterting by custom str2.

### setCustomStr3

    public void setCustomStr3(java.lang.String sCustomStr3)

  Sets filtering by custom str3. Checks the custom str3 match as a substring of the custom str3.
  Parameters:
    `sCustomStr3` - the Custom String3
  See Also:
    `setCustomStr3(String, boolean)`

### setCustomStr3

    public void setCustomStr3(java.lang.String sCustomStr3,
                              boolean bExactMatch)

  Sets filtering by custom str3.
  Parameters:
    `sCustomStr3` - the custom str3
    `bExactMatch` - `true` for an exact match of the string custom str3; `false` to match as substring custom str3

### setCustomStr3

    public void setCustomStr3(java.lang.String[] customString3s)

  Sets filtering by custom str3. Checks the custom str3 match as a substring of the custom str3.
  Parameters:
    `customString3s` - the custom string3s
  See Also:
    `setCustomStr3(String[], boolean)`

### setCustomStr3

    public void setCustomStr3(java.lang.String[] customString3s,
                              boolean bExactMatch)

  Sets filtering by custom str3.
  Parameters:
    `customString3s` - the custom string3s
    `exact` - `true` for an exact match of the custom string3s; `false` to match a substring

### unsetCustomStr3

    public void unsetCustomStr3()

  Unsets filterting by custom str3.

### setCustomStr4

    public void setCustomStr4(java.lang.String sCustomStr4)

  Sets filtering by custom str4. Checks the custom str4 match as a substring of the custom str4.
  Parameters:
    `sCustomStr4` - the Custom String4
  See Also:
    `setCustomStr4(String, boolean)`

### setCustomStr4

    public void setCustomStr4(java.lang.String sCustomStr4,
                              boolean bExactMatch)

  Sets filtering by custom str4.
  Parameters:
    `sCustomStr4` - the custom str4
    `bExactMatch` - `true` for an exact match of the string custom str4; `false` to match as substring custom str4

### setCustomStr4

    public void setCustomStr4(java.lang.String[] customString4s)

  Sets filtering by custom str4. Checks the custom str4 match as a substring of the custom str4.
  Parameters:
    `customString4s` - the custom string4s
  See Also:
    `setCustomStr4(String[], boolean)`

### setCustomStr4

    public void setCustomStr4(java.lang.String[] customString4s,
                              boolean bExactMatch)

  Sets filtering by custom str4.
  Parameters:
    `customString4s` - the custom string4s
    `exact` - `true` for an exact match of the custom string4s; `false` to match a substring

### unsetCustomStr4

    public void unsetCustomStr4()

  Unsets filtering by custom str4.

### setArchivedRange

    public void setArchivedRange(java.util.Date fromDate,
                                 java.util.Date toDate)

  Sets filtering by the archived range. Returns contacts that have been deleted between the specified dates. The exact dates are used (to the millisecond).
  Parameters:
    `fromDate` - the from (starting) date for the archived filter (inclusive) or `null` for infinite
    `toDate` - the to (ending) date for the archived filter (inclusive) or `null` for infinite

### unsetArchivedRange

    public void unsetArchivedRange()

  Unsets filtering by the archived range.

### setStringRules

    public void setStringRules(java.lang.String[] values,
                               boolean bExact)

  Sets the rules for contact properties that are strings. This method provides a convenient way to search the contact properties for string values without having to call each rule method. The author filter rule is not included.
  Parameters:
    `values` - the values to test
    `bExact` - `true` for an exact match of the values; `false` to match a substring

### setDistributionList

    public void setDistributionList(long lListID)

  Sets the filtering by distribution list.
  Parameters:
    `lListID` - the distribution list id to filter by

### setDistributionList

    public void setDistributionList(long[] listIDs)

  Sets the filtering by multiple distribution lists.
  Parameters:
    `listIDs` - an array of distribution list ids to filter by

### getDistributionList

    public long[] getDistributionList()

  Gets the distribution list ids filtering by.
  Returns:
    an array of list ids to filter by or `null` if not filtering by lists

### unsetDistributionList

    public void unsetDistributionList()

  Unsets filtering by distribution list.

### getFilterRule

    public com.compoze.ejb.persistence.database.IFilterRule getFilterRule()

  Overrides:
    `getFilterRule` in class `AbstractFilter`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.